using System;

namespace Bespoke.Robotics.BrainStem
{
	/// <summary>
	/// Device value input flags. Used by the internal Packet.CommandCodeType.DeviceValue command.
	/// </summary>
	[Flags]
	public enum DeviceValueFlags
	{
		/// <summary>
		/// Device value responses are sent to the host.
		/// </summary>
		Host			= 1 << 7,

		/// <summary>
		/// Device value responses are routed internally.
		/// </summary>
		Reflex			= 1 << 6
	}
}
