using System;

namespace Bespoke.Robotics.BrainStem
{
    /// <summary>
    /// Types of messages that can be carried by a Packet.CommandCodeType.Message
    /// </summary>
    public enum MessageCodeType
    {
        /// <summary>
        /// 
        /// </summary>
        IicNoAck                    = 0,

        /// <summary>
        /// 
        /// </summary>
        NotIicWriteAddress          = 1,

        /// <summary>
        /// 
        /// </summary>
        IicQueueOverflow            = 2,

        /// <summary>
        /// 
        /// </summary>
        IicQueueUnderflow           = 3,

        /// <summary>
        /// 
        /// </summary>
        PowerUpReset                = 4,

        /// <summary>
        /// 
        /// </summary>
        MemoryNoAck                 = 5,

        /// <summary>
        /// 
        /// </summary>
        MemoryReadTooLong           = 6,

        /// <summary>
        /// 
        /// </summary>
        MemoryAddressError          = 7,

        /// <summary>
        /// 
        /// </summary>
        CommandInvalid              = 8,

        /// <summary>
        /// 
        /// </summary>
        CommandTooLong              = 9,

        /// <summary>
        /// 
        /// </summary>
        CommandIndexError           = 10,

        /// <summary>
        /// 
        /// </summary>
        CommandParamError           = 11,

        /// <summary>
        /// 
        /// </summary>
        CommandQueueOverflow        = 12,

        /// <summary>
        /// 
        /// </summary>
        CommandQueueUnderflow       = 13,

        /// <summary>
        /// 
        /// </summary>
        LinkQueueOverflow           = 14,

        /// <summary>
        /// 
        /// </summary>
        TimerConflict               = 15,

        /// <summary>
        /// 
        /// </summary>
        FileInitError               = 16,

        /// <summary>
        /// 
        /// </summary>
        FileModeError               = 17,

        /// <summary>
        /// 
        /// </summary>
        FileCloseError              = 18,

        /// <summary>
        /// 
        /// </summary>
        FileSizeError               = 19,

        /// <summary>
        /// 
        /// </summary>
        MessageTooLong              = 20,

        /// <summary>
        /// 
        /// </summary>
        CommandBadRawInput          = 21,

        /// <summary>
        /// 
        /// </summary>
        IicBufferOverflow           = 22,

        /// <summary>
        /// 
        /// </summary>
        IicCommandQueueOverflow     = 23,

        /// <summary>
        /// 
        /// </summary>
        IicCommandQueueUnderflow    = 24,

        /// <summary>
        /// 
        /// </summary>
        VmNotFree                   = 25,

        /// <summary>
        /// 
        /// </summary>
        VmExit                      = 26,

        /// <summary>
        /// 
        /// </summary>
        CommandTooShort             = 27,

        /// <summary>
        /// 
        /// </summary>
        SerialError                 = 28
    }
}