using System;

namespace Bespoke.Robotics.BrainStem
{
	/// <summary>
	/// The direction to move a servo when calling CommandManager.SetServoPositionRelative().
	/// </summary>
	public enum ServoRelativeDirectionType
	{
		/// <summary>
		/// Subtract the offset from the current servo position.
		/// </summary>
		Negative = 0,

		/// <summary>
		/// Add the offset to the current servo position.
		/// </summary>
		Positive = 1
	}
}
