using System;

namespace Bespoke.Robotics.BrainStem.Exceptions
{
    /// <summary>
    /// Describes a read or write direction error.
    /// </summary>
    public class PacketDirectionException : Exception
    {
        /// <summary>
		/// Initializes a new instance of the PacketDirectionException class.
        /// </summary>
		/// <param name="message">The message that describes the error.</param>
        public PacketDirectionException(string message)
            : base(message)
        {
        }
    }
}
