using System;

namespace Bespoke.Robotics.BrainStem
{
    /// <summary>
    /// Parameters that can be passed to the CommandManager.GetSystemParameter() method.
    /// </summary>
    public enum SystemParameterType
    {
        /// <summary>
        /// 
        /// </summary>
        ModuleIicAddress    = 0,

        /// <summary>
        /// 
        /// </summary>
        RouterIicAddress    = 1,

        /// <summary>
        /// 
        /// </summary>
        HearbeatRate        = 2,

        /// <summary>
        /// 
        /// </summary>
        IicBaudRate         = 3,

        /// <summary>
        /// 
        /// </summary>
        SerialBaudRate      = 4,

        /// <summary>
        /// 
        /// </summary>
        HeartbeatMode       = 5,

        /// <summary>
        /// 
        /// </summary>
        BootReflexFlag      = 6,

        /// <summary>
        /// 
        /// </summary>
        LinkDownReflexFlag  = 7,

        /// <summary>
        /// 
        /// </summary>
        FirmWareVersion     = 8,

        /// <summary>
        /// 
        /// </summary>
        BuildNumber         = 9,

        /// <summary>
        /// 
        /// </summary>
        BoardType           = 10,

        /// <summary>
        /// 
        /// </summary>
        FirstTwoSnBytes     = 11,

        /// <summary>
        /// 
        /// </summary>
        LastTwoSnBytes      = 12,

        /// <summary>
        /// 
        /// </summary>
        TeaFileSlots        = 13,
        
        /// <summary>
        /// 
        /// </summary>
        TeaFileBytes        = 14,

        /// <summary>
        /// 
        /// </summary>
        VmBootFile1         = 15,

        /// <summary>
        /// 
        /// </summary>
        VmBootFile2         = 16,

        /// <summary>
        /// 
        /// </summary>
        VmBootFile3         = 17,

        /// <summary>
        /// 
        /// </summary>
        VmBootFile4         = 18,

        /// <summary>
        /// 
        /// </summary>
        SerialRelayFlag     = 19,

        /// <summary>
        /// 
        /// </summary>
        QuietModeFlag       = 20,

        /// <summary>
        /// 
        /// </summary>
        SerialTimeout       = 21
    }
}